@bot123123
bot

Как настроить pip?

При установке пакетов, они устанавливаются в
Requirement already satisfied: dnspython in /usr/local/lib/python3.8/dist-packages (2.1.0)

Где задать пусть на версию питона 2.7 ?
  • Вопрос задан
  • 58 просмотров
Пригласить эксперта
Ответы на вопрос 1
gedev
@gedev
сисадмин-энтузиаст
Вы хотите установить пакеты для Python 2, но пользуетесь pip для Python 3. Если в вашей системе доступен пакет python2-pip (может называться иначе), то устанавливать пакеты надо так:

pip2 install имя_пакета

Если pip2 нет, то установить его можно так:

python2.7 get-pip.py

Качать get-pip.py отсюда: https://pip.pypa.io/en/latest/installation/
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы